using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Logistics_application
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        gr682_ggi3Entities1 db = new gr682_ggi3Entities1();
        public MainWindow()
        {
            InitializeComponent();
            MainFrame.Navigate(new LoginApplication());
            Manager.MainFrame = MainFrame;
        }

        private void Сlose_Click(object sender, RoutedEventArgs e)
        {
            Application.Current.Shutdown();
        }

        private void Back_Click(object sender, RoutedEventArgs e)
        {
            Manager.MainFrame.GoBack();
        }

        private void MainFrame_ContentRendered(object sender, EventArgs e)
        {
            if (MainFrame.CanGoBack)
            {
                ButtonBack_Click.Visibility = Visibility.Visible;
            }
            else
            {
                ButtonBack_Click.Visibility = Visibility.Hidden;
            }
        }
    }
}
